<%@ page language="java" contentType="text/html; charset=UTF-8"
    pageEncoding="UTF-8"%>
<%@ taglib prefix="c" uri="http://java.sun.com/jsp/jstl/core"%>
<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<html>
<head>
<title id="pageTitle">列表页</title>
<meta name="renderer" content="webkit"/>
<meta http-equiv="X-UA-Compatible" content="IE=edge,chrome=1" />
<meta http-equiv="Content-Type" content="text/html; charset=UTF-8"/>
<meta name="format-detection" content="telephone=no" />
<meta name="apple-mobile-web-app-capable" content="yes" />
<meta name="apple-mobile-web-app-status-bar-style" content="black" />
<meta name="viewport" content="width=device-width, initial-scale=1.0, minimum-scale=1.0, maximum-scale=1.0 user-scalable=no"/>
<meta id="description" name="Description" content=""/>
<meta id="key" name="Keywords" content=""/>
<link rel="icon" type="image/x-icon" href="${pageContext.request.contextPath}/user/images/titlecon.png" />
<link type="text/css" rel="stylesheet" href="${pageContext.request.contextPath}/user/dist/css/swiper.min.css"/>
<link type="text/css" rel="stylesheet" href="${pageContext.request.contextPath}/user/css/reset.css"/>
<link type="text/css" rel="stylesheet" href="${pageContext.request.contextPath}/user/css/index.css"/>
<script language="javascript" type="text/javascript" src="${pageContext.request.contextPath}/user/js/jquery.min.js"></script>
<script type="text/javascript" src="${pageContext.request.contextPath}/user/dist/js/swiper.min.js"></script>
<script type="text/javascript" src="${pageContext.request.contextPath}/user/js/config.js"></script>
<style type="text/css">
	.hahh{
		color: red;
	}
</style>
</head>
<body>
	<!-- 头部开始 -->
	<jsp:include page='<%="/classifyList.html"%>'></jsp:include>
    <!-- 头部结束 -->
	

	<div class="list_inbox">
		 <ul class="clearfix">
			<c:forEach items="${bean}" var="p">
				<li>
					<a onclick="skip(${p.id})">
					<%-- href="${pageContext.request.contextPath}/user/caps_detail.html?pid=${p.id} --%>
						<span class="list_imgbox">
							<img src="${pageContext.request.contextPath}${p.img}" alt="${p.name }">
						</span>
						<p class="list_msgtit" id="dianId${p.id}">${p.name }</p>
					</a>
				</li>
			</c:forEach>
		</ul>
	</div>

	<!-- 底部开始 -->
    <div class="footer">
		© Copyright Easy Signs Pty Ltd. 2019
    </div>


    <script type="text/javascript">    
    	$(".qianzi_shadow").on('touchmove',function(event) { event.preventDefault(); }, false);
		$(function(){
			$(".menu").click(function(){
				if($(this).hasClass("colsenav")){
					var that = $(this)
					$(".navBarMain").animate({
						left:"-6rem",
					},function(){
						$(".shadowcent").hide();
						that.removeClass("colsenav")
					});
					
				}else{
					$(".shadowcent").show();
					$(".navBarMain").animate({
						left:"0",
					});
					$(this).addClass("colsenav")
				}
				
			})
		});
		
		function skip(id){
			/* var arr = [14,15,17,18,22,23,24,25,28];
			if(arr.indexOf(id)>=0){ */
				window.location.href = "caps_detail.html?pid="+id;
			/* }else{
				alert("The goods are under development");
			} */
			
		}
		
		/* 
		$("#"+"dianId"+14).addClass("hahh");
		$("#"+"dianId"+15).addClass("hahh");
		$("#"+"dianId"+17).addClass("hahh");
		$("#"+"dianId"+22).addClass("hahh");
		$("#"+"dianId"+23).addClass("hahh");
		$("#"+"dianId"+24).addClass("hahh");
		$("#"+"dianId"+25).addClass("hahh");
		$("#"+"dianId"+18).addClass("hahh");
		$("#"+"dianId"+28).addClass("hahh"); */
	</script>
</body>
</html>